Find Device Authorization Request

Find Device Authorization Request
Looks up a device authorization request for approval

Looks up a service account identified by the specified user code for processing its authorization request

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/deviceLookup
COPY
Request Body
DeviceInfo of type(s) application/json
Optional
{
    "userCode": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
303

Device found, redirect link to service account is returned in the Location header

Returns DeviceInfo of type(s) */*;version=9.1.0
{
    "userCode": "string"
}

404

Not Found

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/deviceLookup